Bind progress summary ("N of M items done")
GET
/broker/submissions/{submission_id}/bind-readiness
const url = 'https://api.hedgespecialty.com/api/v1/broker/submissions/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/bind-readiness';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.hedgespecialty.com/api/v1/broker/submissions/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/bind-readiness \ --header 'Authorization: Bearer <token>'Compact bind-progress counts for the submission, mirroring the portal’s bind wizard so the two can never disagree. Returns 404 while bind e-sign is not enabled for the environment.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”submission_id
required
string format: uuid
Responses
Section titled “Responses”Readiness summary
Media typeapplication/json
exists is false when the submission has no active bind request.
object
exists
boolean
bind_request_id
string format: uuid
quote_id
string format: uuid
status
string
required_total
integer
required_done
integer
waiting_signatures
Live signature envelopes still out with a signer
integer
carrier_name
string
carrier_confirmed
boolean
carrier_policy_number
string
Examplegenerated
{ "exists": true, "bind_request_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "quote_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "status": "example", "required_total": 1, "required_done": 1, "waiting_signatures": 1, "carrier_name": "example", "carrier_confirmed": true, "carrier_policy_number": "example"}Not found